Show / Hide Table of Contents

# Class OpenIddictQuartzExtensions

Exposes extensions allowing to register the OpenIddict Quartz.NET integration.

##### Inheritance

System.Object
OpenIddictQuartzExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictQuartzExtensions

### Methods

#### UseQuartz(OpenIddictCoreBuilder)

Registers the OpenIddict Quartz.NET integration in the DI container.

##### Declaration

    public static OpenIddictQuartzBuilder UseQuartz(this OpenIddictCoreBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictCoreBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictQuartzBuilder | The OpenIddictQuartzBuilder.

##### Remarks

This extension can be safely called multiple times.

#### UseQuartz(OpenIddictCoreBuilder, Action<OpenIddictQuartzBuilder>)

Registers the OpenIddict Quartz.NET integration in the DI container.

##### Declaration

    public static OpenIddictCoreBuilder UseQuartz(this OpenIddictCoreBuilder builder, Action<OpenIddictQuartzBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictCoreBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictQuartzBuilder> | configuration | The configuration delegate used to configure the Quartz.NET services.

##### Returns

Type | Description
--- | ---
OpenIddictCoreBuilder | The OpenIddictCoreBuilder.

##### Remarks

This extension can be safely called multiple times.